### Enumeration

# Qmi UimPhysicalCardState

since: 1.26

#### Declaration

    enum Qmi.UimPhysicalCardState

#### Description [src]

State of the physical card.

Available since: 1.26

#### Members

`QMI_UIM_PHYSICAL_CARD_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.26
`QMI_UIM_PHYSICAL_CARD_STATE_ABSENT`

  Absent.

  - Value: `1`
  - Available since: 1.26
`QMI_UIM_PHYSICAL_CARD_STATE_PRESENT`

  Present.

  - Value: `2`
  - Available since: 1.26

#### Type functions

###### qmi_uim_physical_card_state_get_string

Gets the nickname string for the `QmiUimPhysicalCardState` specified at `val`.

since: 1.26